module FatDatasets

using DocStringExtensions
using ImageMagick
using StatsBase
using Statistics
using Distributions
using DataFrames
using DataDeps
using CSV
using JLD
using HDF5
using CodecZlib
using ProgressMeter
using FileIO
using Images
using BatchIterators
using Random
using Distances
using LinearAlgebra
using SpecialFunctions
using PooledArrays # For detecting categorical features

export load_dataset, list_datasets, print_datasets, folder_name
export h5file
export convert_categorical_columns!

include("utils.jl")
include("synthetic.jl")

include("datasets/celeba.jl")
include("datasets/fasttext.jl")
include("datasets/fma.jl")
include("datasets/gowalla.jl")
include("datasets/kddcup99.jl")
include("datasets/lfw.jl")

const DS_DIR = joinpath(@__DIR__, "datasets", "registrators")

function __init__()
	empty!(DS_NAMES)
	empty!(PARENT_DEPS)
	for f in walkfiles(DS_DIR)
		include(f)
	end
end

end # module
